| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfSRS Struct Reference
Subscriber Features

Simultaneous Ringing. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
struct unsp__DNRingList * | DNRingList
| A list of up to six entries to be simultaneously rung. More...
struct unsp__CfSRS_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Simultaneous Ringing.

The Simultaneous Ringing feature provides subscribers the capability to be simultaneously rung at multiple locations. The subscriber or the system administrator creates a simultaneous ringing list that contains up to six DNs. These DNs represent the additional locations that ring when an incoming call arrives at the main DN. After the feature is activated, incoming calls cause the main DN and each destination DN to ring. The first DN to answer is connected; ringing then stops on the other DNs. If the call is forwarded to another DN, such as voice mail, it rings until answered.

Remote Feature Access (RFA - see unsp__CfRFA) was designed to activate/deactivate the SRS feature from a "remote" telephone (any DN other than the one to which the features are subscribed). RFA can only be used in conjunction with SRS; therefore, subscriber provisioning will block the assignment of RFA if SRS is not also subscribed or being subscribed in the same request.
MP2 command: CFSRS [Attributes]

## Member Data Documentation

## ◆ DNRingList

struct unsp__DNRingList* unsp__CfSRS::DNRingList

A list of up to six entries to be simultaneously rung.

required: true, if the feature is enabled

## ◆ Enabled

unsp__Enabled* unsp__CfSRS::Enabled

Standard Enabled flag.

## ◆ Local

struct unsp__CfSRS_locPres* unsp__CfSRS::Local

Local Presence flags.

## ◆ Subscribed

enum unsp__Subscribed unsp__CfSRS::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h